

const GAME_WIDTH = 800;
const GAME_HEIGHT = 400;

const GRAVITY = 1.8;
const JUMP_POWER = -20.0;
const HIGH_JUMP_POWER = -28.0;
const GROUND_Y = 350;


const BASE_SPEED = 15.0;


const TARGET_FPS = 20;
const MS_PER_TICK = 1000 / TARGET_FPS;
const CHUNK_SIZE = 20;


const DEBUG_SYNC = true;

function lerp(a, b, t) {
    return a + (b - a) * t;
}